import { Subject } from 'rxjs';
import type { Application } from '../../application/application.model';
import type { IInstance, ILoadBalancer, ILoadBalancerGroup } from '../../domain';
export declare class LoadBalancerFilterService {
    groupsUpdatedStream: Subject<ILoadBalancerGroup[]>;
    private isFilterable;
    private getCheckValues;
    private lastApplication;
    constructor();
    private addSearchFields;
    private checkSearchTextFilter;
    private checkLoadBalancerTypeFilters;
    filterLoadBalancersForDisplay(loadBalancers: ILoadBalancer[]): ILoadBalancer[];
    private instanceFilters;
    private shouldFilterInstances;
    shouldShowInstance(instance: IInstance): boolean;
    private diffSubgroups;
    private diffServerGroups;
    sortGroupsByHeading(groups: ILoadBalancerGroup[]): void;
    clearFilters(): void;
    private filterServerGroups;
    private jsonReplacer;
    updateLoadBalancerGroups(application: Application): void;
}
